Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mail
Interface MailServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  MailService

public interface MailServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Element` | `getConfiguration()` Configuration for the mail service.
`String` | `getDefaultSender()`
`String` | `getJNDIName()`
`String` | `getPOP3SererHost()`
`String` | `getSMTPServerHost()`
`String` | `getStoreProtocol()`
`String` | `getTransportProtocol()`
`String` | `getUser()`
`void` | `setConfiguration(Element element)` Configuration for the mail service.
`void` | `setJNDIName(String name)` The JNDI name under which javax.mail.Session objects are bound.
`void` | `setPassword(String password)` Password used to connect to a mail server
`void` | `setUser(String user)` User id used to connect to a mail server

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setUser

    public void setUser(String user)

  User id used to connect to a mail server

  See Also:
    `setPassword(java.lang.String)`

### getUser

    public String getUser()

### setPassword

    public void setPassword(String password)

  Password used to connect to a mail server

  See Also:
    `setUser(java.lang.String)`

### getConfiguration

    public Element getConfiguration()

  Configuration for the mail service.

### setConfiguration

    public void setConfiguration(Element element)

  Configuration for the mail service.

### setJNDIName

    public void setJNDIName(String name)

  The JNDI name under which javax.mail.Session objects are bound.

### getJNDIName

    public String getJNDIName()

### getStoreProtocol

    public String getStoreProtocol()

### getTransportProtocol

    public String getTransportProtocol()

### getDefaultSender

    public String getDefaultSender()

### getSMTPServerHost

    public String getSMTPServerHost()

### getPOP3SererHost

    public String getPOP3SererHost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.